//---
// skills: Utilities that characterize and run skills
//---

#pragma once

#include "game.h"
#include "comp/entity.h"

enum {
    SKILL_DASH = 0x100,

    /* Other skills in the AOE enumeration that are valid here: */
    // AOE_PROJECTILE,
    // AOE_SHOCK,
    // AOE_JUDGEMENT,
    // AOE_BULLET,
};

/* Fixed cooldown for a skill */
fixed_t skill_cooldown(int skill);

/* Have [e] use its skill in the specified slot. */
void skill_use(game_t *g, entity_t *e, int slot, vec2 dir);
